Skip to main content
PUT
/
workflows
/
v1
/
workflows
/
{workflow_id}
/
super-node-interface
Publish As Super Node
curl --request PUT \
  --url https://api-qa.interactly.ai/workflows/v1/workflows/{workflow_id}/super-node-interface \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "interface": {
    "input_fields": [
      {
        "name": "<string>",
        "description": "<string>",
        "required": true,
        "default_value": "<unknown>",
        "json_schema": {},
        "mappings": [
          {
            "target_type": "node_config_field",
            "target_node_or_edge_logical_id": "<string>",
            "target_field_path": "<string>",
            "target_variable_name": "<string>"
          }
        ]
      }
    ]
  }
}
'
{
  "workflow_id": "<string>",
  "workflow_version_number": 123,
  "message": "<string>",
  "num_input_fields": 123
}

Authorizations

Authorization
string
header
required

Retrieve your API Key from Dashboard API Keys Section.

Path Parameters

workflow_id
string
required
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

Query Parameters

version_number
integer | null

Body

application/json

Payload for publishing a workflow as a super node.

interface
SuperNodeInterface · object
required

Input field definitions and their mappings into the sub-workflow

Response

Successful Response

Response after publishing a workflow as a super node.

workflow_id
string
required
workflow_version_number
integer
required
message
string
required
num_input_fields
integer
required